> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `PATCH /api/v1/customers/:id`

> `PATCH /api/v1/customers/:id`

### Path parameters

<ParamField path="id" type="string" required>
  Customer ID (UUID)
</ParamField>

### Request body

`UpdateCustomerRequest`

<ParamField body="accepts_marketing" type="boolean,null" />

<ParamField body="email" type="string,null" />

<ParamField body="first_name" type="string,null" />

<ParamField body="last_name" type="string,null" />

<ParamField body="metadata" type="object,null" />

<ParamField body="phone" type="string,null" />

<ParamField body="status" type="string,null" />

<ParamField body="tags" type="array,null" />

### Responses

<ResponseField name="200" type="CustomerResponse">
  Customer updated
</ResponseField>

<ResponseField name="400" type="ErrorBody">
  Invalid request
</ResponseField>

<ResponseField name="404" type="ErrorBody">
  Customer not found
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request PATCH \
    --url 'https://api.stateset.com/api/v1/customers/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "accepts_marketing": null,
    "email": null,
    "first_name": null,
    "last_name": null,
    "metadata": null,
    "phone": null,
    "status": null,
    "tags": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "accepts_marketing": true,
    "created_at": "2026-07-24T12:00:00Z",
    "email": "string",
    "first_name": "string",
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "last_name": "string",
    "phone": null,
    "status": "string",
    "updated_at": "2026-07-24T12:00:00Z"
  }
  ```
</ResponseExample>
